Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362167 - Clicking on Reset button while editing a provider throws error message in UI for firefox browser
Summary: Clicking on Reset button while editing a provider throws error message in UI ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.0
Assignee: Harpreet Kataria
QA Contact: Jiri Stefanisin
URL:
Whiteboard: ui:provider:cloud:infra:reset
Depends On:
Blocks: 1362227
TreeView+ depends on / blocked
 
Reported: 2016-08-01 12:47 UTC by Ramesh A
Modified: 2017-01-12 05:11 UTC (History)
7 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1362227 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:19:10 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
error after clicking on reset button (deleted)
2016-08-01 12:47 UTC, Ramesh A
no flags Details

Description Ramesh A 2016-08-01 12:47:24 UTC
Created attachment 1186409 [details]
error after clicking on reset button

Description of problem:
Clicking on Reset button while editing a provider throws error message in UI for firefox browser

Version-Release number of selected component (if applicable):
5.6.1.0.20160726144018_810a94f

How reproducible:
Very

Steps to Reproduce: (Perform this operation in firefox browser)
1. Manage a cloud/infra provider
2. From the provider page (be it infra or cloud), select the provider and click on the edit option from configuration button
3. Make any change on the provider editing page, say change the name or ip or userid
4. Click on the Reset button

Actual results:
1. Throws error message in the firefox browser as mentioned below. Refer the screenshot for further information
error message:
==============
throw "error";
window.location.href = "/ems_infra/5?flash_msg=Infrastructure+Provider+%22v55%22+was+saved";

2. No ERROR is recorded in evm.log or production.log page

Note: This is only observed in firefox browser, not reproducible in chrome browser

Expected results:
Should not display any error message

Additional info:

Comment 4 CFME Bot 2016-08-10 16:05:44 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f3d7c8632d7d88c19c866df5dbabd773aa527025

commit f3d7c8632d7d88c19c866df5dbabd773aa527025
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Aug 10 10:04:02 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Aug 10 10:05:09 2016 -0400

    Added a separate disabled Reset Button
    
    having ng-disabled in controllers with restful routes was causing reset button to send up a server transaction.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1362167
    https://bugzilla.redhat.com/show_bug.cgi?id=1362227

 app/views/layouts/angular/_x_edit_buttons_angular.html.haml | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.